Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226391 - Merge Review: scim-bridge
Summary: Merge Review: scim-bridge
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:55 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-17 05:49:56 UTC
wtogami: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:55:08 UTC
Fedora Merge Review: scim-bridge

http://cvs.fedora.redhat.com/viewcvs/devel/scim-bridge/
Initial Owner: petersen@redhat.com

Comment 1 Jens Petersen 2007-02-01 04:25:04 UTC
Already reviewed for Extras in bug 190243.

Comment 2 Warren Togami 2007-02-03 19:57:39 UTC
http://www.scim-im.org/projects/scim_bridge
This seems to be down.  Any idea what happened?  Temporary?

scim-bridge i386 rpmlint
W: scim-bridge spurious-executable-perm
/usr/share/doc/scim-bridge-0.4.9/doc/icon/kasasagi.png
W: scim-bridge spurious-executable-perm
/usr/share/doc/scim-bridge-0.4.9/doc/icon/kasasagi.svg
Might as well fix this.

E: scim-bridge zero-length /usr/share/doc/scim-bridge-0.4.9/README
This is not bad.

scim-bridge src rpmlint
W: scim-bridge prereq-use gtk2 >= 2.9.1-2
This is legitimate by the comment.
W: scim-bridge macro-in-%changelog _bindir
This doesn't concern me, however you may want to just hardcode it so rpmlint
stops complaining.

APPROVED

Comment 3 Jens Petersen 2007-02-05 00:05:04 UTC
Thanks, Warren.

(In reply to comment #2)
> http://www.scim-im.org/projects/scim_bridge
> This seems to be down.  Any idea what happened?  Temporary?

Not sure, it has been down for some days.  I'll look into it.

> scim-bridge i386 rpmlint
> W: scim-bridge spurious-executable-perm
> /usr/share/doc/scim-bridge-0.4.9/doc/icon/kasasagi.png
> W: scim-bridge spurious-executable-perm
> /usr/share/doc/scim-bridge-0.4.9/doc/icon/kasasagi.svg
> Might as well fix this.
> 
> E: scim-bridge zero-length /usr/share/doc/scim-bridge-0.4.9/README
> This is not bad.
> 
> scim-bridge src rpmlint
> W: scim-bridge prereq-use gtk2 >= 2.9.1-2
> This is legitimate by the comment.
> W: scim-bridge macro-in-%changelog _bindir
> This doesn't concern me, however you may want to just hardcode it so rpmlint
> stops complaining.
> 
> APPROVED



Comment 4 Jens Petersen 2007-02-05 00:12:53 UTC
> W: scim-bridge spurious-executable-perm
> /usr/share/doc/scim-bridge-0.4.9/doc/icon/kasasagi.png
> W: scim-bridge spurious-executable-perm
> /usr/share/doc/scim-bridge-0.4.9/doc/icon/kasasagi.svg
> Might as well fix this.

Do you want to fix this in the next release, Dairiki-san?
Or is it easier I just override the permissions in the spec file?

> E: scim-bridge zero-length /usr/share/doc/scim-bridge-0.4.9/README
> This is not bad.

Removing in next build.  I'm pretty sure it was non-empty earlier.

> W: scim-bridge macro-in-%changelog _bindir
> This doesn't concern me, however you may want to just hardcode it so rpmlint
> stops complaining.

Thanks, fixed above two in cvs.

Comment 5 Jens Petersen 2007-02-16 05:09:03 UTC
(In reply to comment #4)
> Do you want to fix this in the next release, Dairiki-san?
> Or is it easier I just override the permissions in the spec file?

Sorry, this is my bad: the icons are getting pulled in by %doc inclusion
of the doc/ dir.  If the icons are not going to be used would be easier
to remove them from future tarballs though.

Comment 6 Mamoru TASAKA 2007-02-16 05:22:32 UTC
w3m http://www.scim-im.org/
returns

"Redirection loop detected".

Comment 7 Jens Petersen 2007-05-17 05:49:56 UTC
(The scim website has been back up for a while now btw.)

Comment 8 Jens Petersen 2007-05-17 05:50:23 UTC
Package Change Request
======================
Package Name: scim-bridge
New Branches: EL-4


Comment 9 Jens Petersen 2007-05-27 03:03:42 UTC
cvs done


Note You need to log in before you can comment on or make changes to this bug.